#include "auth.h"
#include <string.h>

/* Converts an IPV6 in IPV4 --> Relies on the output format used by courier */
char * ip6to4(char * ip6) {
  char * ip4;

  ip4=strrchr(ip6, ':');
  if(ip4 != NULL)
    return ip4+1;

  /* Probably an ipv4 */
  return ip6;
}

/* Split the name of the database */
void split_up(char * desc, char ** scheme, char ** dbname) {
   (*scheme)=desc;
   (*dbname)=split_at(desc, ':');
   if(*dbname == NULL) {
     *dbname=desc;
     *scheme=NULL;
   }
}
