#ifdef USE_OPTIMIZERS

#include "auth.h"
#include "optm.h"

static optm_t * optm_st[] = {
#ifdef HAS_MYSQL
  &optm_mysql
#endif
};

optm_t * optm_lookup(char * scheme) {
  register int i;

  if(scheme == NULL)
    return NULL;

  for(i=0; i < sizeof(optm_st)/sizeof(optm_t *); i++) 
    if(!strcmp(optm_st[i]->scheme, scheme))
      return optm_st[i];

  return NULL;
}

#endif
