#ifdef USE_OPTIMIZERS
# ifndef OPTM_H
# define OPTM_H

struct optm_t {
  char * scheme;
  void *(* open)(char *);
  void (* close)(void *);
  int (* remove)(void *, int);
  int (* add)(void *, char *, int);
};

typedef struct optm_t optm_t;
typedef void optmdb_t;

#ifdef HAS_MYSQL
extern optm_t optm_mysql;
#endif

extern optm_t * optm_lookup (char * scheme);

# endif 
#endif
